Skip to main content
PUT
Update a variant

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

product id

variant_id
string
required

variant id

Body

application/json
is_default
boolean
short_description
string | null
metadata
object | null
sku
string | null

variant sku. can be null for digital product.

slug
string

variant sku. can be null for digital product.

pricing
ProductPricing · object[]
variant_attributes
ProductAttribute · object[]
name
string
associated_options
AssociatedOption · object[]
description
string | null
images
string[]
videos
string[]
seo
Seo · object
shipping
ProductShipping · object
packaging
ProductPackaging · object | null
promotions
DiscountBasedPromotion · object

promotion_type = discount

subscriptions
ProductSubscription · object[]

Response

200 - application/json

OK

message
string
success
boolean
content
object